HPFTODIT(1)

NAME
hpftodit - create font description files for use with groff -Tlj4

SYNOPSIS
hpftodit [ -sv ] [ -in ] tfm_file map_file font

It is possible to have whitespace between the -i command line option and its parameter.

DESCRIPTION
hpftodit creates a font file for use with groff -Tlj4 from an HP tagged font metric file. tfm_file is the name of the tagged font metric file for the font. map_file is a file giving the groff names for characters in the font; this file should consist of a sequence of lines of the form:

    n c1 c2 ...

where n is a decimal integer giving the MSL number of the character, and c1, c2,... are the groff names of the character. font is the name of the groff font file. The groff font file is written to font.

The -s option should be given if the font is special (a font is special if troff should search it whenever a character is not found in the current font.) If the font is special, it should be listed in the fonts command in the DESC file; if it is not special, there is no need to list it, since troff can automatically mount it when it's first used.

If the -i option is used, hpftodit will automatically generate an italic correction, a left italic correction and a subscript correction for each character (the significance of these parameters is explained in groff_font(5)).

OPTIONS

-v  Print the version number.

-s  The font is special. The effect of this option is to add the special command to the font file.

-in Generate an italic correction for each character so that the character's width plus the character's italic correction is equal to n design units plus the amount by which the right edge of the character's bounding is to the right of the character's origin. If this would result in a negative italic correction, use a zero italic correction instead. There are 8782 design units per em for Intellifont fonts.

    Also generate a subscript correction equal to the product of the tangent of the slant of the font and four fifths of the x-height of the font. If this would result in a subscript correction greater than the italic correction, use a subscript correction equal to the italic correction instead.

    Also generate a left italic correction for each character equal to n design units plus the amount by which the left edge of the character's bounding box is to the left of the character's origin. The left italic correction may be negative.

    This option is normally needed only with italic (or oblique) fonts.

FILES
/usr/local/share/groff/1.18.1/font/devlj4/DESC Device description file.

/usr/local/share/groff/1.18.1/font/devlj4/F
    Font description file for font F.

BUGS

This program was written without the benefit of complete, official documentation on the tagged font metric format. It is therefore likely that it will fail to work on tfm files that are dissimilar to those for the internal fonts on the Laserjet 4, with which it was tested:

TrueType tfm files are not supported.

SEE ALSO
groff(1), grolj4(1), groff_font(5)